%define	major_version	0.6

Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		swfdec
Version:	0.6.8
Release:	1
License:	GNU/GPL 
URL:		http://swfdec.freedesktop.org/
Group:		System/Libraries
Source0:	http://swfdec.freedesktop.org/download/swfdec/0.5/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Flash animation rendering library
BuildRequires:	pulseaudio-libs-devel
BuildRequires:	gnome-vfs-devel
BuildRequires:	gstreamer10-devel >= 0.10.11
BuildRequires:	gst-plugins-base-devel >= 0.10.15
BuildRequires:	gtk2+-devel
BuildRequires:	js-devel
BuildRequires:	liboil-devel
BuildRequires:	libsoup-devel
BuildRequires:	pango-devel

%description
swfdec is a library for rendering Adobe Flash animations. Currently it handles
most Flash 3, 4 and many Flash 7 videos. 


%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	liboil-devel
Requires:	pango-devel
Requires:	pkgconfig


%description	devel
%{name}-devel contains the files needed to build packages that depend on
swfdec.


%package	gtk
Summary:	A library for easy embedding of Flash files in an application
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires(pre):	/sbin/ldconfig
Requires(post):	/sbin/ldconfig


%description	gtk
%{name}-gtk is a library for developers that allows one to easily embed
Flash videos and animations into their appplications. 


%package	gtk-devel
Summary:	Development files for swfdec-gtk
Group:		Development/Libraries
Requires:	%{name}-gtk = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	gtk2+-devel


%description	gtk-devel
%{name}-gtk is a library for developers that allows one to easily embed
Flash videos and animations into their appplications. This package contains
files necessary to build packages and appplications that use %{name}-gtk.

%prep
%setup -q

		
%build
%configure --disable-static --with-audio=pa

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install INSTALL='install -p'

%post -p /sbin/ldconfig


%post gtk
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun	-p /sbin/ldconfig


%postun gtk
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README 
%{_libdir}/libswfdec-%{major_version}.so.*


%files	devel
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/pkgconfig/%{name}-%{major_version}.pc
%{_libdir}/libswfdec-%{major_version}.so
%dir %{_includedir}/%{name}-%{major_version}
%{_includedir}/%{name}-%{major_version}/swfdec/
%{_libdir}/libswfdec-%{major_version}.la

%files	gtk
%defattr(-,root,root,-)
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_libdir}/libswfdec-gtk-%{major_version}.so.*


%files	gtk-devel
%defattr(-,root,root,-)
%{_libdir}/libswfdec-gtk-%{major_version}.so
%{_libdir}/pkgconfig/%{name}-gtk-%{major_version}.pc
%{_includedir}/%{name}-%{major_version}/swfdec-gtk/
%{_libdir}/libswfdec-gtk-%{major_version}.la
%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.6.8-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.6.0-1
- Version update
* Fri Jan 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5.5-1
- Version update
* Sun Oct 21 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.5.3-1
- Initial Release
